Bug 2633 - Etherape not work
: Etherape not work
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 11:56 MSD by Postnikov Dmitry
Modified: 2013-09-04 14:27 MSD (History)
1 user (show)

See Also:
RPM Package: etherape-0.9.12-2-rosa2012.1.x86_64
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2013-09-02 11:56:00 MSD
Description of problem:
After install Etherape start and fast close.


If start from terminal:
==================
[root@mindlife pastordi]# etherape

(etherape:1854): libglade-WARNING **: Could not load support for `gnome': libgnome.so: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога

(etherape:1854): libglade-WARNING **: Could not load support for `canvas': libcanvas.so: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога

(etherape:1854): libglade-WARNING **: unknown widget class 'GnomeMessageBox'

(etherape:1854): libglade-WARNING **: unknown widget class 'GnomeCanvas'

(etherape:1854): Gtk-WARNING **: gtk_scrolled_window_add(): cannot add non scrollable widget use gtk_scrolled_window_add_with_viewport() instead

(etherape:1854): Gtk-CRITICAL **: IA__gtk_style_set_background: assertion `window != NULL' failed

(etherape:1854): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `GnomeCanvas'

(etherape:1854): GLib-GObject-WARNING **: invalid cast from `GtkLabel' to `GnomeCanvas'

(etherape:1854): GnomeCanvas-CRITICAL **: gnome_canvas_root: assertion `GNOME_IS_CANVAS (canvas)' failed

(etherape:1854): GnomeCanvas-CRITICAL **: gnome_canvas_item_new: assertion `GNOME_IS_CANVAS_GROUP (parent)' failed
**
ERROR:diagram.c:187:addref_canvas_obj: assertion failed: (obj)
[root@mindlife pastordi]#
==================
Comment 1 Denis Silakov 2013-09-04 14:27:33 MSD
Should be fixed now. Some requirements were missing - libgnomeui2 and libbonoboui.

Etherape will still claim on missing libcanvas.so, but we don't have appropriate package in our repositories. On the other hand, this doesn't seem to be critical - with libgnomeui2 and libbonoboui, ehterape works fine for me.